.layout-container {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.layout-sidenav {
  padding: 0;
  width: 300px;
}

.layout-is-mobile .layout-sidenav {
  width: 100%;
}

.layout-is-mobile .layout-toolbar {
  position: fixed;
  /* Make sure the toolbar will stay on top of the content as it scrolls past. */
  z-index: 2;
}

.layout-sidenav-container {
  /* When the sidenav is not fixed, stretch the sidenav container to fill the available space. This
     causes `<mat-sidenav-content>` to act as our scrolling element for desktop layouts. */
  flex: 1;
  margin-bottom: 40px;
}

.layout-is-mobile .layout-sidenav-container {
  /* When the sidenav is fixed, don't constrain the height of the sidenav container. This allows the
     `<body>` to be our scrolling element for mobile layouts. */
  flex: 1 0 auto;
}

.layout-footer {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  height: 40px;
  z-index: 2;
}

.footer-text {
  flex: 1 1 auto;
  text-align: center;
  line-height: 30px;
  font-size: 12px;
  color: #84939f;
}

.footer-logo {
  width: 30px;
  height: 30px;
  vertical-align: middle;
}

.layout-spacer {
  flex: 1 1 auto;
}

.layout-icon {
  padding: 0 14px;
}

.layout-avatar {
  flex-shrink: 0;
  width: 40px;
  height: 40px;
  border-radius: 50%;
}
